View Issue Details

IDProjectCategoryView StatusLast Update
0021225mantisbtbugtrackerpublic2017-10-28 19:08
ReportercproensaAssigned Tocommunity 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0 
Target Version2.8.0Fixed in Version2.8.0 
Summary0021225: resolving parent issues inconsistency
Description

when resolving a parent issue, with unresolved children:

  • if done from bug_update.php, a warning is shown, and an error istriggered when trying to resolve the parent issue.
  • if done from bug actiongroup: no warning, no error, and the action is performed

Additionally, in relationship_api.php:

  • RESOLVE/CLOSE BUGS WITH BLOCKING CHILD BUGS STILL OPEN
  • Just a warning is print out on the form when an user attempts to resolve or close a bug with
  • related bugs in relation BUG_DEPENDANT still not resolved.
  • Anyway the user can force the resolving/closing action.

A consistent behaviour should be agreed and implemented

TagsNo tags attached.

Relationships

has duplicate 0021686 closedatrol Cannot close issues with unresolved child issues 

Activities

atrol

atrol

2016-09-13 03:36

developer   ~0054019

Might be worth to consider 0021686:0054016

but then I'd propose at least to introduce a config variable to allow the old workflow by decision of the installing Administrator.

edita

edita

2017-04-24 08:41

reporter   ~0056694

I have same problem, I need to close parent, when child is not resolved. It would be ok, when only warrning message is shown, but you can close.

dregad

dregad

2017-08-04 19:39

developer   ~0057397

https://github.com/mantisbt/mantisbt/pull/1138

Related Changesets

MantisBT: master af213f1b

2017-10-22 13:07:26

bgamrat


Committer: vboctor Details Diff
Allow parent issues to be closed with open children

Add a config option to allow closing parent issues while children are open.

Fixes 0021225
mod - bug_update.php Diff File
mod - config_defaults_inc.php Diff File
mod - docbook/Admin_Guide/en-US/config/status.xml Diff File

Issue History

Date Modified Username Field Change
2016-07-10 18:10 cproensa New Issue
2016-07-10 18:11 cproensa Summary resolving parant issues inconsistency => resolving parent issues inconsistency
2016-09-12 03:32 cproensa Relationship added has duplicate 0021686
2016-09-13 03:36 atrol Note Added: 0054019
2017-04-24 08:41 edita Note Added: 0056694
2017-08-04 19:39 dregad Note Added: 0057397
2017-08-14 12:14 atrol Assigned To => community
2017-08-14 12:14 atrol Status new => assigned
2017-10-22 13:08 vboctor Changeset attached => MantisBT master af213f1b
2017-10-22 13:08 vboctor Assigned To community => vboctor
2017-10-22 13:08 vboctor Status assigned => resolved
2017-10-22 13:08 vboctor Resolution open => fixed
2017-10-22 13:08 vboctor Fixed in Version => 2.8.0
2017-10-22 13:08 vboctor Assigned To vboctor => community
2017-10-22 13:08 vboctor Target Version => 2.8.0
2017-10-28 19:08 vboctor Status resolved => closed